Bug 1126035 - RHEL7 amendments: Install the mod_cluster Module Into Apache HTTP Server or JBoss Enterprise Web Server (RPM)
Summary: RHEL7 amendments: Install the mod_cluster Module Into Apache HTTP Server or J...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: post-GA
: EAP 6.3.0
Assignee: sgilda
QA Contact: Michal Karm Babacek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 16:20 UTC by Michal Karm Babacek
Modified: 2015-02-20 10:21 UTC (History)
7 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Build Name: 22508, Administration and Configuration Guide-6.3-1 Build Date: 25-07-2014 15:09:11 Topic ID: 24378-681042 [Specified]
Last Closed: 2014-11-23 23:16:51 UTC
Type: Bug


Attachments (Terms of Use)

Description Michal Karm Babacek 2014-08-01 16:20:35 UTC
19.5.4. Install the mod_cluster Module Into Apache HTTP Server or JBoss Enterprise Web Server (RPM)

Describe the issue:

Regarding:

- To have the Apache HTTP Server service start at boot, enter the following command: 

- Start the mod_cluster balancer with the following command: 

Please, add update (information bubble perhaps...) for RHEL7 accordingly to BZ 1126030.


The installation procedure, i.e.
{code}
yum install mod_cluster-native
{code}
remains _exactly_ the same on RHEL7, so this is O.K.


Summary:

RHEL5 - Customer must use our EAP6 httpd package, the operation system one is not supported.

RHEL6 - Customer can choose between httpd package from EAP6 distribution of the operation system one.

RHEL7 - Customer must use our EAP6 httpd22 package, the operating system one is not supported.


THX

Cheers

Comment 2 Michal Karm Babacek 2014-08-04 13:11:16 UTC
I'm sorry, I forgot to mention one very important thing in the description:

One has to enable UDP port in firewalld in order to allow advertising messages:
{code}
firewall-cmd --permanent --zone=public --add-port=23364/udp
{code}

The same issue is already addressed for IPtables on RHEL5/6 and for Windows firewall in the documentation. This amendment is for RHEL7 and firewalld only.

Note: 224.0.1.105:23364 is the default address and port for mod_cluster balancer advertising UDP multicast.

Comment 3 sgilda 2014-08-04 14:01:18 UTC
Michal, I am not clear which topic your comment 2 refers to. Can you clarify where this belongs?

Comment 4 sgilda 2014-08-04 15:20:34 UTC
Spoke with Michal. He suggested the content in comment 2 belongs with the other firewall content in topic 4705. Updated topic: 
     Configure Network Firewalls to Work with JBoss EAP 6 [4705, rev: 690288]

Comment 6 Michal Karm Babacek 2014-08-05 09:08:50 UTC
I'm sorry, there are superfluous statements about RHEL7 that suggest one might use mod_cluster with Apache HTTP Server from RHEL7, which is not true, see the Description.

i.e.

{quote}
To perform this task, you must be using the Apache HTTP Server installed in Red Hat Enterprise Linux 6 or 7, JBoss Enterprise Web Server, or the standalone Apache HTTP Server included as a separate downloadable component of JBoss EAP 6. 
{quote}

This is wrong, the old version was O.K. and no change was requested:

{quote}
To perform this task, you must be using the Apache HTTP Server installed in Red Hat Enterprise Linux 6, JBoss Enterprise Web Server, or the standalone Apache HTTP Server included as a separate downloadable component of JBoss EAP 6. 
{quote}

Please see the Description of this Bugzilla, Section Summary. RHEL 7 Apache HTTP Server is _not_ supported  with EAP6 mod_cluster. Customer must use the Apache HTTP Server distributed with EAP6.

Furthermore:

{quote}
If you need to install Apache HTTP Server in Red Hat Enterprise Linux 6 or 7, use the instructions from the Red Hat Enterprise Linux 6 Deployment Guide. 
{quote}

Again, please, remove the reference to "7". It was not requested and it's actually wrong. EAP6 mod_cluster does not support RHEL 7 Apache HTTP Server, as it's depicted in the Description of this Bugzilla.



The rest of the content looks great and makes sense for RHEL7 installation, including all the new commands and service control. The firewall settings are O.K. as well.
As soon as you remove the two aforementioned RHEL7 references, we are good to go.


Thank you very much for this last-minute effort.

K.

Comment 7 Michal Karm Babacek 2014-08-05 09:21:47 UTC
I'm removing the blocker flag, because we have the following statement in the Release notes [1]:

mod_jk and mod_cluster with Apache on RHEL 7

 The Apache HTTP server installable on Red Hat Enterprise Linux 7 via RHN
 channels introduces incompatibility problems with mod_cluster and mod_jk
 and is not supported. The Apache HTTP server shipped with JBoss EAP,
 however, is fully supported. 

So in my opinion, the reader will be aware of the fact that we don't support it. If you don't share my view, please, return the blocker flag back.


[1] https://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6.3/html-single/6.3.0_Release_Notes/index.html#Unsupported_Features

Comment 8 sgilda 2014-08-05 12:44:13 UTC
@TomWells, 

I removed the RHEL 7 reference from the topic and updated the spec for the Administration and Configuration Guide [22508] with the current rev:


Install the mod_cluster Module Into Apache HTTP Server or JBoss Enterprise Web Server (RPM) [24378, rev: 690666]

I did NOT rebuild the guide because Michal removed the blocker flag. If we do decide to update the guides in the near future, the topic will be correct.

Comment 9 sgilda 2014-08-11 13:40:57 UTC
Change target to 6.3.0 post-GA.

Comment 11 Radim Hatlapatka 2014-09-22 06:52:51 UTC
Verified in 6.3.0-44 revision


Note You need to log in before you can comment on or make changes to this bug.